# import catppuccin


# load your autoconfig, use this, if the rest of your config is empty!
config.load_autoconfig()

# set the flavor you'd like to use
# valid options are 'mocha', 'macchiato', 'frappe', and 'latte'
# last argument (optional, default is False): 
# enable the plain look for the menu rows
# catppuccin.setup(c, 'mocha', True)

# config.set("colors.webpage.darkmode.enabled", True)
# config.set("colors.webpage.preferred_color_scheme", "dark")
config.set("auto_save.session", True)

c.statusbar.widgets = ["keypress", "progress", "url", "scroll"]

# privacy
c.content.cookies.accept = "no-3rdparty"
c.content.webrtc_ip_handling_policy = "default-public-interface-only"

# Adblock
c.content.blocking.enabled = True
c.content.blocking.method = 'auto'
c.content.blocking.adblock.lists = ['https://easylist.to/easylist/easylist.txt',
                                    'https://easylist.to/easylist/easyprivacy.txt']
# Autoplay
c.content.autoplay = False

c.url.searchengines = {
    'DEFAULT': 'https://search.brave.com/search?q={}'
}
