if exists("b:current_syntax")
  finish
endif

syntax clear

syntax match confSection "[a-zA-Z0-9_]\+" contained
highlight link confSection Statement

syntax match confKey "[a-zA-Z0-9_]\+\s\+"
highlight link confKey Identifier

syntax match confValue "[^\n]*" contained
highlight link confValue String

syntax match confObjectHeader "^\[\[\S+[^,]\]\]/$"
syntax match confObjectHeader /\v\[\S+[^,]\]/
highlight link confObjectHeader Type


" Enable folding based on sections
setlocal foldmethod=marker
setlocal foldmarker=[,]
